/*Меню сверху над главным.*/
.main_top_menu {
  font-size: 14px;
  line-height: 24px;
}
.main_top_menu .nav-item {
  margin: 0.5rem;
}
.main_top_menu .nav-link {
  color: var(--color-text-default);
  padding: 0.5rem;
}
.main_top_menu .nav-link.active {
  color: var(--color-hover-blue);
}
.main_top_menu .nav-link:hover {
  color: var(--color-hover-blue);
}
.main_top_menu .nav-item:first-child {
  margin-left: 0;
}
.main_top_menu .nav-item:first-child .nav-link {
  padding-left: 0;
}
@media (max-width: 1199px) {
  .main_top_menu .nav-item {
    margin: 0 5px;
  }
  .main_top_menu .nav-link {
    padding: 3px;
  }
}
@media (max-width: 991px) {
  .main_top_menu {
    display: none;
  }
}
/*Главное меню сайта.*/
.main_menu {
  justify-content: center;
}
.main_menu .nav-item {
  margin: 0;
  padding: 0 24px;
}
@media (max-width: 1199px) {
  .main_menu .nav-item {
    padding: 0 14px;
    letter-spacing: normal;
  }
}
.main_menu .nav-item:hover .main_menu__overlay,
.main_menu .nav-item:hover .main_menu__submenu {
  display: block;
}
.main_menu .nav-item:first-child {
  padding-left: 0;
}
.main_menu .nav-item:last-child {
  padding-right: 0;
}
.main_menu .nav-link {
  font-size: 14px;
  line-height: 17px;
  font-weight: 500;
  color: #ffffff;
  text-decoration: none;
  display: flex;
  align-items: center;
  padding: 24px 0;
  transition: color 0.3s;
}
.main_menu .nav-link:hover {
  color: var(--color-hover-orange);
}
.main_menu .nav-link.active {
  color: var(--color-hover-orange);
}
.main_menu .nav-item.with_circle > .nav-link::before {
  content: "";
  display: inline-block;
  width: 8px;
  height: 8px;
  border-radius: 4px;
  background: var(--color-orange-2);
  margin: 0 10px 0 0;
}
.main_menu .nav-item.with_submenu > .nav-link::after {
  content: ">";
  display: inline-block;
  font-size: 20px;
  line-height: 17px;
  margin: 0 0 0 10px;
  transform: rotate(90deg);
}
.main_menu .main_menu__submenu {
  display: none;
  background: #ffffff;
  left: 0px;
  right: 0px;
  z-index: 10;
  position: absolute;
}
.main_menu .main_menu__submenu .nav-item {
  padding: 0 40px 0 0;
}
@media (max-width: 1199px) {
  .main_menu .main_menu__submenu .nav-item {
    padding: 0 20px 0 0;
  }
}
.main_menu .main_menu__submenu .nav-link {
  color: var(--color-text-default);
  font-size: 14px;
  text-decoration: none;
  width: 184px;
  height: auto;
}
.main_menu .main_menu__submenu .nav-link:hover {
  color: var(--color-hover-blue);
}
.main_menu .main_menu__submenu .nav-link.active {
  color: var(--color-hover-blue);
}
.main_menu .main_menu__submenu .image_cont {
  flex: 0 0 auto;
  display: inline-block;
  width: 48px;
  height: 48px;
  margin: 0 12px 0 0;
  border-radius: 4px;
  overflow: hidden;
}
.main_menu .main_menu__submenu .image_cont img {
  display: block;
  -o-object-fit: cover;
     object-fit: cover;
}
.main_menu .main_menu__submenu .text_cont {
  display: inline-block;
}
.main_menu .main_menu__submenu .price_cont {
  display: block;
  color: var(--color-gray);
  margin: 4px 0 0 0;
  font-weight: 300;
}
.main_menu .submenu_wrapper {
  display: flex;
  justify-content: flex-start;
  flex-wrap: wrap;
}
/*При прокрутке вниз меню меняется.*/
@media (min-width: 992px) {
  .scrolled_down .main_menu .nav-link {
    color: var(--color-text-default);
  }
}
/*Блок мобильного меню.*/
.mobile-menu-block {
  position: fixed;
  top: 65px;
  right: -375px;
  bottom: 0;
  width: 375px;
  display: flex;
  flex-direction: column;
  background: #ffffff;
  transition: right 0.3s;
  z-index: 2;
}
@media (max-width: 480px) {
  .mobile-menu-block {
    width: 100%;
    width: 100vw;
    right: -100%;
  }
}
.mobile-menu-block.active {
  right: 0%;
}
.mobile-menu-block .top-part {
  flex: 0 0 auto;
  height: 82px;
  padding: 0 16px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  position: relative;
}
.mobile-menu-block .top-part .gray-line {
  position: absolute;
  bottom: 0;
  left: 16px;
  right: 16px;
  height: 1px;
  background: var(--color-border-gray);
}
.mobile-menu-block .bottom-part {
  flex: 0 0 auto;
  height: 88px;
  padding: 24px 16px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  background: var(--color-blue-dark-2);
  color: #ffffff;
}
.mobile-menu-block .scroll-part {
  height: 100%;
  flex: 0 1 auto;
  overflow: auto;
  padding: 24px 16px 36px 16px;
}
.mobile-menu-block hr {
  margin: 24px 0;
  border-top-color: var(--color-border-gray);
  opacity: 1;
}
.mobile-menu-block .btn-def {
  height: 40px;
  padding: 0 15px;
}
.mobile-menu-block .btn-def.favorite-all {
  padding: 0 10px;
}
.mobile-menu-block .language-switcher {
  width: 40px;
  height: 40px;
}
.mobile-menu-block .language-switcher .opener {
  width: 40px;
  height: 40px;
}
.mobile-menu-block .language-switcher .switcher .item {
  width: 40px;
  height: 40px;
}
.mobile-small-menu {
  font-size: 18px;
  list-style: none;
  padding: 0;
  margin: 0;
}
.mobile-small-menu li {
  display: block;
  padding: 0;
  margin: 0 0 8px 0;
}
.mobile-small-menu a {
  color: var(--color-text-default);
}
.mobile-small-menu a.active {
  color: var(--color-orange);
}
.mobile-big-menu > .item {
  margin: 0 0 16px 0;
}
.mobile-big-menu > .item > a {
  font-size: 20px;
  color: var(--color-text-default);
}
.mobile-big-menu > .item > a.active {
  color: var(--color-orange);
}
.mobile-big-menu > .item.with-circle {
  margin-bottom: 36px;
}
.mobile-big-menu > .item.with-circle > a {
  display: block;
  text-align: center;
  border-radius: 26px;
  height: 52px;
  border: 1px solid var(--color-border-gray);
  color: var(--color-text-default);
  font-size: 16px;
  line-height: 50px;
  font-weight: 500;
  padding: 0 26px;
}
.mobile-big-menu > .item.with-circle > a::before {
  content: '';
  display: inline-block;
  width: 8px;
  height: 8px;
  border-radius: 100px;
  background: var(--color-orange-2);
  margin: 0 10px 2px 0;
}
.mobile-big-submenu {
  padding: 16px 0 0 30px;
}
.mobile-big-submenu > .subitem {
  margin: 0 0 16px 0;
}
.mobile-big-submenu > .subitem > a {
  color: var(--color-text-default);
}
.mobile-big-submenu > .subitem > a.active {
  color: var(--color-orange);
}

